package com.xhkjedu.sapi;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.netflix.eureka.EnableEurekaClient;
import tk.mybatis.spring.annotation.MapperScan;

@SpringBootApplication
@EnableEurekaClient
@MapperScan(basePackages = {"com.xhkjedu.sapi.mapper"})
public class SapiApplication {

    public static void main(String[] args) {
        SpringApplication.run(SapiApplication.class, args);
    }

}
