package com.xhkjedu.sapi.mapper.analyze;

import com.xhkjedu.sapi.vo.analyze.SchoolPeopleGradeVo;
import com.xhkjedu.sapi.vo.analyze.SchoolPeopleNumVo;
import com.xhkjedu.sapi.vo.analyze.SchoolPeopleStuSexVo;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @ClassName SchoolPeopleMapper
 * Description TODO 全校概况
 * Author WN
 * Date 2020/8/8 11:41
 **/
@Repository
public interface SchoolPeopleMapper{
    //当前年份班级、学生数量、教师数量
    SchoolPeopleNumVo getSchoolClassNum(Integer schoolid, Integer year);
    //当前在校学生性别数量
    List<SchoolPeopleStuSexVo> listSchoolStudentSexnum(Integer schoolid, Integer year);

    //年级下班级、教师、学生数量
    List<SchoolPeopleGradeVo> listSchoolGrades(Integer schoolid, Integer year);

    //年级下各班级情况
    List<SchoolPeopleGradeVo> listSchoolGradeClasses(Integer schoolid, Integer year);

}
