package com.xhkjedu.sapi.mapper.analyze;

import com.xhkjedu.sapi.vo.analyze.SchoolParams;
import com.xhkjedu.sapi.vo.analyze.SchoolRoomGradeUserVo;
import com.xhkjedu.sapi.vo.analyze.SchoolRoomSubjectVo;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @ClassName SchoolRoomMapper
 * Description TODO 课堂概况
 * Author WN
 * Date 2020/8/10 17:32
 **/
@Repository
public interface SchoolRoomMapper {
    //课堂概况--科目
    List<SchoolRoomSubjectVo> listSchoolRoomSubject(@Param("sparams") SchoolParams sparams);

    //课堂概况--科目下课堂详细
    List<SchoolRoomGradeUserVo> listSchoolRoomDetailBySubject(@Param("sparams") SchoolParams sparams);
}
