package com.xhkjedu.sapi.mapper.notice;

import com.xhkjedu.sapi.base.TkMapper;
import com.xhkjedu.sapi.model.notice.TNotice;
import com.xhkjedu.sapi.model.notice.TNoticeClass;
import org.apache.ibatis.annotations.Param;

public interface NoticeClassMapper extends TkMapper<TNoticeClass> {
    /**
     * 批量添加
     * @Param [notice]
     * @Author ywx
     * @Date 2020/6/13 10:01
     * @return java.lang.Integer
     **/
    Integer batchSave(@Param("notice") TNotice notice);

    /**
     * 删除通知对象
     * @Param [noticeid]
     * @Author ywx
     * @Date 2020/6/13 10:00
     * @return java.lang.Integer
     **/
    Integer deleteByNoticeId(@Param("noticeid") Integer noticeid);
}
