package com.xhkjedu.sapi.mapper.system;

import com.xhkjedu.sapi.model.system.TUserLog;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;
import tk.mybatis.mapper.additional.insert.InsertListMapper;
import tk.mybatis.mapper.common.Mapper;

import java.util.List;

@Repository
public interface UserLogMapper extends Mapper<TUserLog>, InsertListMapper<TUserLog> {
    /**
     * 登录日志列表
     * @Param [log]
     * @Author ywx
     * @Date 2020/6/17 17:21
     * @return java.util.List<com.xhkjedu.model.system.TUserLog>
     **/
    List<TUserLog> listLog(@Param("log") TUserLog log);
}
