package com.xhkjedu.sapi.model.assess;

import com.xhkjedu.sapi.model.BaseBean;
import lombok.Data;

import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.Transient;
import java.util.ArrayList;
import java.util.List;

@Table(name = "t_assess_template")
@Data
public class TAssessTemplate extends BaseBean {
    @Id
    //评价模板id
    private Integer templateid;

    //模板名称
    private String templatename;

    //指标数量
    private Integer quotanum;

    //模板排序
    private Integer templateorder;

    //状态1正常10删除
    private Integer templatestate;

    //模板说明
    private String comm;

    //创建人id
    private Integer createid;

    //创建时间
    private Integer createtime;

    //学校id
    private Integer schoolid;

    //关联的指标id集合
    @Transient
    private List<Integer> qutoaids = new ArrayList<>();
}
