package com.xhkjedu.sapi.model.classreport;

import com.xhkjedu.sapi.model.BaseBean;
import lombok.Data;

import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.Transient;

@Table(name = "t_report_class_guide")
@Data
public class TReportClassGuide extends BaseBean {
    @Id
    //分析--班级报告--预习统计
    private Integer cguideid;

    //所属班级报告分类id
    private Integer creportid;

    //年级下班级数量
    private Integer classnum;

    //发布预习次数
    private Integer guidenum;

    //最高发布预习次数
    private Integer guidemaxnum;

    //发布次数排名
    private Integer guiderank;

    //发布次数同比率
    private Double guideprerate;

    //预习次数
    private Integer prenum;

    //预习次数同比
    private Double prenumrate;

    //预习率
    private Double guiderate;

    //平均预习率
    private Double guideavgrate;

    //最高预习率
    private Double guidemaxrate;

    //预习率排名
    private Integer guideraterank;

    //预习率同比
    private Double prerate;

    //创建时间
    private Integer createtime;

    @Transient
    //开始时间
    private String begindate;

    @Transient
    //结束时间
    private String enddate;
}
