package com.xhkjedu.sapi.model.classreport;

import com.xhkjedu.sapi.model.BaseBean;
import lombok.Data;

import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.Transient;

@Table(name = "t_report_class_live")
@Data
public class TReportClassLive extends BaseBean {
    @Id
    //分析--班级报告--直播统计
    private Integer cliveid;

    //班级报告分类
    private Integer creportid;

    //班级数量
    private Integer classnum;

    //直播次数
    private Integer livenum;

    //直播最高次数
    private Integer livemaxnum;

    //直播次数排名
    private Integer liverank;

    //直播次数同比率
    private Double liveprerate;

    //直播时长（分钟）
    private Integer minutenum;

    //时长排名
    private Integer minuterank;

    //最高时长
    private Integer minutemax;

    //平均时长
    private Double minuteave;

    //时长同比率
    private Double minutepre;

    //创建时间
    private Integer createtime;

    @Transient
    //开始时间
    private String begindate;

    @Transient
    //结束时间
    private String enddate;
}
