package com.xhkjedu.sapi.model.research;

import com.xhkjedu.sapi.model.BaseBean;
import lombok.Data;

import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.Transient;

@Table(name = "t_research_user")
@Data
public class TResearchUser extends BaseBean {
    //教研用户表
    @Id
    private Integer ruid;

    //教研id
    private Integer researchid;

    //参评用户id
    private Integer userid;

    //状态0未评1已评
    private Integer rustate;

    //评课时间
    private Integer reviewtime;

    //创建时间
    private Integer createtime;

    //学校id
    private Integer schoolid;

    //评分内容
    private String content;

    //排序方式
    @Transient
    private String rorder;

    //用户头像
    @Transient
    private String headpic;
}
