package com.xhkjedu.sapi.vo.dock;

import lombok.Data;

/**
 * @ClassName LcAdminVo
 * Description TODO 领创管理员对接
 * Author WN
 * Date 2021/5/24 17:04
 **/
@Data
public class LcAdminVo {
    private String app_id;//认证服务ID
    private String security_key;//认证服务key
    private String name;//管理员名称（唯一不可修改）
    private String email;//管理员邮箱（用于登录，管理员唯一身份信息，唯一不可修改）
    private String password;//登录密码
    private Integer role;//管理员角色（1：表示同步超管;2:同步区域管理员;3:同步学校管理员）
    private String school_id;//学校ID，当role=3时，该字段不能为空，且school_id必须已经存在于系统当中
    private String zone_id;//区域ID，两边同步区域的唯一标识
    private Integer status;//状态（1：启用，0:禁用）
    private String phone;//管理员联系段话
    private String address;//学校地址
    private String description;//学校描述

}
