package com.xhkjedu.sapi.vo.research;

import lombok.Data;

/**
 * @ClassName ResearchVo
 * Description 教研展示信息
 * Author WN
 * Date 2020/6/11 18:51
 **/
@Data
public class ResearchVo {
    private Integer researchid;

    //教研名称
    private String researchname;

    //教研封面
    private String researchcover;

    //视频时长（秒）
    private Integer duration;

    //mp4文件编码：mpeg4网页端不能播放，h264网页端能播放
    private String mp4code;

    //视频大小
    private Integer filesize;

    //阅读次数
    private Integer readnum;

    //开始时间
    private Integer starttime;

    //结束时间
    private Integer stoptime;

    //创建人id
    private Integer createid;

    //创建时间
    private Integer createtime;

    //创建人姓名
    private String createname;

    //教研视频路径
    private String researchpath;

    //状态0未评1已评
    private Integer rustate;
}
