package com.xhkjedu.sclass.mapper.classroom;

import com.xhkjedu.sclass.base.TkMapper;
import com.xhkjedu.sclass.model.classroom.TClassroomSign;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

public interface ClassroomSignMapper extends TkMapper<TClassroomSign> {

    /**
     * 获取课堂学生列表
     *
     * @return java.util.List<com.xhkjedu.vo.classroom.StudentSignVo>
     * @Param [roomid]
     * @Author ywx
     * @Date 2020/9/8 10:19
     **/
    List<Map> listStudent(@Param("roomid") Long roomid);

    /**
     * 保存学生签到信息
     *
     * @return java.lang.Integer
     * @Param [sign]
     * @Author ywx
     * @Date 2020/7/14 14:13
     **/
    Integer save(@Param("r") TClassroomSign sign);
}