package com.xhkjedu.sclass.vo.classroom;

import com.xhkjedu.sclass.model.classroom.TClassroomFile;
import lombok.Data;

import java.util.List;
import java.util.Map;

@Data
public class ReportRoomVo {
    //课堂名称
    private String roomname;

    //创建人姓名
    private String createname;

    //班级名称
    private String classname;

    private Integer gradeid;

    //结束时间
    private Integer endtime;

    //创建时间
    private Integer createtime;

    //班级学生总人数
    private Integer classnum;

    //班级实际签到学生数量
    private Integer realstunum;

    //发布抢答次数
    private Integer asknum;

    //发布点名次数
    private Integer callnum;

    //课堂提问列表
    private List<Map> questions;

    //课堂考试列表
    private List<ReportExamVo> exams;

    //课堂点名列表
    private List<Map> calls;

    //课堂抢答列表
    private List<Map> asks;

    //课堂截图列表
    private List<TClassroomFile> files;

    //课堂学生列表
    private List<Map> students;
}
