package com.xhkjedu.sexam.model.paperstudent;

import com.xhkjedu.sexam.model.BaseBean;
import lombok.Data;

import javax.persistence.Id;
import javax.persistence.Table;

@Table(name = "e_paper_student")
@Data
public class EPaperStudent extends BaseBean {
    @Id
    //考试试卷学生表
    private Integer epsid;

    //考试id
    private Integer examid;

    //考试科目id
    private Integer esid;

    //试卷id
    private Integer epid;

    //科目id
    private String subjectid;

    //班级id
    private Integer classid;

    //学生id
    private Integer studentid;

    //状态0未进场1已进场2已交卷3缺考
    private Integer sstate;

    //批阅状态0未批改1批改中2已批改
    private Integer checked;

    //批阅人
    private Integer checkid;

    //试题数量
    private Integer num;

    //试卷总分
    private Double score;

    //学生得分
    private Double stuscore;

    //开始作答时间
    private Integer starttime;

    //结束作答时间
    private Integer endtime;

    //花费时间（单位秒）
    private Integer costtime;

    //学生答题卡作答图片
    private String stupic;

    //会否违规0未违规1违规
    private Integer hasbad;

    //创建时间
    private Integer createtime;
}