package com.xhkjedu.sexam.model.report;

import com.xhkjedu.sexam.model.BaseBean;
import lombok.Data;

import javax.persistence.Id;
import javax.persistence.Table;

@Table(name = "e_rrank")
@Data
public class ERrank extends BaseBean {
    @Id
    //考试报告等级设置表
    private Integer rankid;

    //考试id
    private Integer examid;

    //类型1等级2分数段3临界分4临界名次5优秀年级前6学困年级后
    private Integer ranktype;

    //等级名默认（ABCDEF）
    private String rankname;

    //分值上限
    private Double maxscore;

    //分值下线
    private Double minscore;

    //临界名次和分值
    private Integer linescore;

    //浮动名次和分值
    private Integer floatscore;

    //创建人id
    private Integer createid;

    //创建时间
    private Integer createtime;
}