package com.xhkjedu.sexam.model.report;

import com.xhkjedu.sexam.model.BaseBean;
import lombok.Data;

import javax.persistence.Id;
import javax.persistence.Table;

@Table(name = "e_rsubject")
@Data
public class ERsubject extends BaseBean {
    @Id
    //考试报告科目情况统计表 
    private Integer rsid;

    //考试id
    private Integer examid;

    //考试科目id
    private String subjectid;

    //考试科目名称
    private String subjectname;

    //满分
    private Double score;

    //最高分
    private Double maxscore;

    //最低分
    private Double minscore;

    //平均分
    private Double avgscore;

    //实考人数
    private Integer stunum;

    //缺考人数
    private Integer missnum;

    //优秀率
    private Double yxrate;

    //良好率
    private Double lhrate;

    //及格率
    private Double jgrate;

    //低分率
    private Double dfrate;

    //标准差
    private Double bzc;
}