package com.xhkjedu.sexam.model.reportclass;

import com.xhkjedu.sexam.model.BaseBean;
import lombok.Data;

import javax.persistence.Id;
import javax.persistence.Table;

@Table(name = "e_rclass_question_point")
@Data
public class ERclassQuestionPoint extends BaseBean {
    @Id
    //考试报告班级试题知识点分析表
    private Integer rcqpid;

    //考试id
    private Integer examid;

    //班级id
    private Integer classid;

    //试卷id
    private Integer epid;

    //科目id
    private String subjectid;

    //知识点名称
    private String pointname;

    //知识点分值
    private Double score;

    //分值占比
    private Double srate;

    //年级平均分
    private Double gradeavgscore;

    //年级得分率占比
    private Double gradesrate;

    //班级平均分
    private Double classavgscore;

    //平均分占比
    private Double classsrate;

    //知识点关联试题题号
    private String qns;
}