package com.xhkjedu.slive.mapper.liveplay;

import com.xhkjedu.slive.base.TkMapper;
import com.xhkjedu.slive.model.liveplay.LCourseClass;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
 * @ClassName CourseClassMapper
 * Description TODO 课程关联班级
 * Author WN
 * Date 2021/1/29 17:21
 **/
@Repository
public interface CourseClassMapper extends TkMapper<LCourseClass> {

    //获取课程关联指定班级外的其他班级数量
    Integer getOtherClassnumByCourseid(@Param("courseid")Integer courseid,@Param("classid")Integer classid);

    //根据课程id和班级id删除关联关系
    void deleteByCourseidAndClassid(@Param("courseid")Integer courseid,@Param("classid")Integer classid);
}
