package com.xhkjedu.slive.vo.liveplay;

import lombok.Data;

import java.util.List;

@Data
public class CourseVo {
    //直播课程表id
    private Integer courseid;

    //课程名称
    private String coursename;

    //年级
    private Integer gradeid;

    //科目id
    private String subjectid;

    //科目id
    private String subjectname;

    //老师id
    private Integer teacherid;

    //老师姓名
    private String teachername;

    //头像地址
    private String headpic;

    //首播日期
    private String begindate;

    //结束日期
    private String enddate;

    //课节数量
    private Integer coursenum;

    //开始时间如：10:55
    private String begintime;

    //结束时间如（11:30）
    private String endtime;

    //时长（分钟）
    private Integer duration;

    //报名截止日期
    private Integer limitstamp;

    //限制学生数量
    private Integer limitstu;

    //已报学生数量
    private Integer stunum;

    //班级id
    private Integer classid;

    //状态0未开始2进行中3已结束
    private Integer coursestate;

    //删除状态1正常10删除
    private Integer deleted;

    //是否能取消选课 0不能1能
    private Integer courseselected;

    //班级类型 0自动生成1指定班级
    private Integer coursetype;

    //课程简介
    private String comm;

    //学生是否已选课0未选1已选
    private Integer selected;

    //已完成课节数量
    private Integer sectionnum;

    //进行中课节数量
    private Integer insectionnum;

    //直播课程分类表id
    private Integer ctypeid;

    //分类名称
    private String typename;

    //分类排序
    private Integer typeorder;

    //报名开始时间戳（学生选课用）
    private Integer starttime;

    //创建人id
    private Integer createid;

    //课节日期
    private String sectiondate;

    //用户类型999超级管理员0学校管理员1老师2学生
    private Integer createtype;

    //创建人
    private String createname;

    //班级ids
    private String classids;

    private Integer kjid;//行政直播课节id

    //课节列表
    private List<CourseSectionVo> sections;
}
