package com.xhkjedu.sstudy.mapper.recite;

import com.xhkjedu.sstudy.base.TkMapper;
import com.xhkjedu.sstudy.model.recite.TReciteGroup;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
 * @ClassName ReciteGroupMapper
 * Description 背诵关联班级分组
 * Author WN
 * Date 2020/6/10 9:23
 **/
@Repository
public interface ReciteGroupMapper extends TkMapper<TReciteGroup> {

    /**
     * 背诵班级信息
     * @Param [reciteid]
     * @Author ywx
     * @Date 2020/7/7 16:21
     * @return com.xhkjedu.model.recite.TReciteGroup
     **/
    TReciteGroup findByRsId(@Param("reciteid") Integer reciteid);
}
