package com.xhkjedu.sstudy.mapper.subjectbook;

import com.xhkjedu.sstudy.base.TkMapper;
import com.xhkjedu.sstudy.model.subjectbook.TSubjectQuestiontype;
import com.xhkjedu.sstudy.vo.subjectbook.SubjectQuestiontypeVo;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @ClassName SubjectQuestiontype
 * Description 科目题型
 * Author WN
 * Date 2020/6/2 10:52
 **/
@Repository
public interface SubjectQuestiontypeMapper extends TkMapper<TSubjectQuestiontype> {

    List<TSubjectQuestiontype> listQuestiontypes(@Param("type") TSubjectQuestiontype type);

    List<SubjectQuestiontypeVo> listQuestiontypesForSel(@Param("type") TSubjectQuestiontype type);

    //查找使用题型的模块
    String findUseModule(String qtypeid);
}
