package com.xhkjedu.sstudy.model.paper;

import com.xhkjedu.sstudy.model.BaseBean;
import com.xhkjedu.sstudy.vo.question.QuestionVo;
import lombok.Data;

import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.Transient;
import java.util.List;

@Table(name = "t_paper_qtype")
@Data
public class TPaperQtype extends BaseBean {
    //试卷题型表主键id
    @Id
    private Integer ptid;

    //试卷id
    private Integer paperid;

    //试题题型id
    private String qtypeid;

    //试题题型名称
    private String qtypename;

    //题型序号
    private Integer ptorder;

    //题型总分
    private Double ptscore;

    //题型下试题数量
    private Integer ptnum;

    //创建人id
    private Integer createid;

    //时间
    private Integer createtime;

    //学校id
    private Integer schoolid;

    //试题集合
    @Transient
    private List<QuestionVo> questions;
}
