package com.xhkjedu.sstudy.model.question;

import com.xhkjedu.sstudy.model.BaseBean;
import lombok.Data;

import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.Transient;

@Table(name = "t_question_class")
@Data
public class TQuestionClass extends BaseBean {
    @Id
    //班级错题集表
    private Integer qcid;

    //班级id
    private Integer classid;

    //试题类型1题库2答题卡3课堂考试
    private Integer qctype;

    //试题id/答题卡id
    private String questionid;

    //试题在作业中题号
    private Integer qorder;

    //试题分值
    private Double qscore;

    //平均分
    private Double avgscore;

    //错误率（乘以%）
    private Double errorrate;

    //试卷id
    private Long paperid;

    //创建时间
    private Integer createtime;

    //学校id
    private Integer schoolid;

    @Transient
    //学生总得分
    private Double stuscore;

    @Transient
    //布置学生人数
    private Integer stunum;

    @Transient
    //教材关联id
    private String lsbid;

    @Transient
    //章节id
    private String directorid;

    @Transient
    //科目id
    private String subjectid;

    @Transient
    //知识点id
    private String pointid;

    //试题题型id
    private String qtypeid;

    @Transient
    //开始时间
    private Integer starttime;

    @Transient
    //截至时间
    private Integer stoptime;

    @Transient
    //创建人id
    private Integer createid;
}
