package com.xhkjedu.sstudy.model.question;

import com.xhkjedu.sstudy.model.BaseBean;
import lombok.Data;

import javax.persistence.Id;
import javax.persistence.Table;

@Table(name = "t_question_explain")
@Data
public class TQuestionExplain extends BaseBean {
    @Id
    //班级错题本讲解表
    private Integer qcpid;

    //试题类型1题库2答题卡
    private Integer qctype;

    //试题id
    private String questionid;

    //播放次数
    private Integer readcount;

    //文件后缀
    private String suffix;

    //mp4文件编码：mpeg4网页端不能播放，h264网页端能播放
    private String mp4code;

    //大小
    private Integer filesize;

    //时长（秒）
    private Integer duration;

    //文件地址
    private String filepath;

    //视频封面图地址
    private String coverpath;

    //上传人id
    private Integer createid;

    //上传时间
    private Integer createtime;
}
