package com.xhkjedu.sstudy.model.recite;

import com.xhkjedu.sstudy.model.BaseBean;
import lombok.Data;

import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.Transient;

@Table(name = "t_recite_student")
@Data
public class TReciteStudent extends BaseBean {
    //背诵学生表
    @Id
    private Integer rsid;

    //背诵表id
    private Integer reciteid;

    //班级id
    private Integer classid;

    //班级组id
   // private Integer groupid;

    //学生id
    private Integer studentid;

    //状态0未提交1已提交2超时提交
    private Integer rsstate;

    //背诵开始时间
    private Integer starttime;

    //背诵结束时间
    private Integer stoptime;

    //花费时长（秒）
    private Integer costtime;

    //学生得分
    private Integer userscore;

    //学生背诵语音地址
    private String answerpath;

    //创建人id
    private Integer createid;

    //创建时间
    private Integer createtime;

    //学校id
    private Integer schoolid;

    //学生背诵语音解析
    private String answertxt;

    //背诵内容标题
    @Transient
    private String recitetitle;

    //背诵内容
    @Transient
    private String recitecont;

    @Transient
    //科目id
    private String subjectid;
}
