package com.xhkjedu.sstudy.model.resource;

import com.xhkjedu.sstudy.model.BaseBean;
import lombok.Data;

import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.Transient;
import java.util.ArrayList;
import java.util.List;

@Table(name = "t_guide_group")
@Data
public class TGuideGroup extends BaseBean {
    //资源班级组表
    @Id
    private Integer rgid;

    private Integer guideid;//预习表id

    //班级id
    private Integer classid;

    //创建人
    private Integer createid;

    //创建时间
    private Integer createtime;

    //分组人数
    @Transient
    private Integer groupnum;

    //分组名称
    @Transient
    private String groupname;

    //班级分组id
    @Transient
    private List<Integer> groups = new ArrayList<>();
}
