package com.xhkjedu.sstudy.model.subjectbook;

import com.xhkjedu.sstudy.model.BaseBean;
import lombok.Data;

import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.Transient;

@Table(name = "t_teacher_subjectbook")
@Data
public class TTeacherSubjectbook extends BaseBean {
    //教师教材关系表
    @Id
    private Integer tbid;

    //教师id
    private Integer teacherid;

    //教材关联关系表id
    private String lsbid;

    //是否选中：0未选中1已选中
    private Integer selected;

    //创建时间
    private Integer createtime;

    //学校id
    private Integer schoolid;

    @Transient
    //科目id
    private String subjectid;

    @Transient
    //班级类型1行政班2提高班3直播班99已直播班级
    private Integer classtype;
}
