package com.xhkjedu.sstudy.vo.paper;

import com.xhkjedu.sstudy.vo.question.QuestionVo;
import lombok.Data;

import java.util.List;

@Data
public class AnalyzeStudentVo {
    //作业学生id
    private Integer psid;

    //作业学生试题id
    private Integer psqid;

    //批改人
    private String checkname;

    //学生姓名
    private String studentname;

    //用户得分
    private Double userscore;

    //主观题得分
    private Double zgscore;

    //客观题得分
    private Double kgscore;

    //提交时间
    private Integer answertime;

    //花费时长（时间s）
    private Integer costtime;

    //班级名称
    private String classname;

    //状态0未提交1已提交2超时提交
    private Integer psstate;

    //批改状态0未批改1已批改2批改中
    private Integer pschecked;

    //学生答案
    private String useranswer;

    //学生答案富文本
    private String useranswertext;

    //答案纯文本
    private String useranswertxt;

    //设备1选择、图片(useranswer) 2富文本(useranswertext)3纯文本(useranswertxt)
    private Integer device;

    private Integer converted;//是否转换0未转换1已转换2转换失败

    //试题列表
    private List<QuestionVo> questions;

    //试题数量
    private Integer papernum;

    //作业总分
    private Double paperscore;
}
