package com.xhkjedu.sstudy.vo.paper;

import com.xhkjedu.sstudy.vo.paperstudent.StudentVo;
import lombok.Data;

import java.util.List;
import java.util.Map;

/**
 * @author ywx
 * @classname CheckClassVo
 * @description
 * @date 2020/6/12 10:48
 **/
@Data
public class CheckClassVo {
    //班级id
    private Integer classid;

    //班级名称
    private String classname;

    private Integer gradeid;//年级id

    //总人数
    private Integer classnum;

    //已提交人数
    private Integer ytjnum;

    //未提交人数
    private Integer wtjnum;

    //已批阅人数
    private Integer ypynum;

    //批阅进度
    private double scale;

    //图片地址(用户教师发送试题图片路径)
    private String teacherpic;

    //提交作业学生集合
    private List<StudentVo> students;

    //考试附件
    private List<Map> files;
}
