package com.xhkjedu.sstudy.vo.paperstudent;

import lombok.Data;

/**
 * @ClassName PaperStudentScantronVo
 * Description 答题卡--学生关联试题
 * Author WN
 * Date 2020/6/12 14:20
 **/
@Data
public class PaperStudentScantronVo {

    private Integer pssid;

    //作业id
    private Integer paperid;

    //学生id
    private Integer studentid;

    //学生姓名
    private String studentname;

    //作业答题卡id
    private Integer pscaid;

    //作业学生id
    private Integer psid;

    //排序
    private Integer qorder;

    //是否作答0未作答1已作答
    private Integer answered;

    //提交时间
    private Integer answertime;

    //花费时间（秒）
    private Integer costtime;

    //是否批改0默认未批改1已批改2批改中
    private Integer checked;

    //学生得分
    private Double stuscore;

    //试题分值
    private Double qscore;

    //学生答案
    private String useranswer;

    //学生答案富文本
    private String useranswertext;

    //答案纯文本
    private String useranswertxt;

    //设备1选择、图片(useranswer) 2富文本(useranswertext)3纯文本(useranswertxt)
    private Integer device;

    private Integer converted;//是否转换0未转换1已转换2转换失败

    //试题题型id
    private String qtypeid;

    //试题题型名称
    private String qtypename;

    //处理题型
    private Integer ctype;

    //正确答案
    private String psanswer;

    //选项数量
    private Integer optionnum;

    //批语
    private String checkcomm;
}
