package com.xhkjedu.suser.vo.system;

import lombok.Data;

import java.util.ArrayList;
import java.util.List;

/**
 * @ClassName RoleModuleVo
 * Description 角色模块表
 * Author WN
 * Date 2020/6/15 14:18
 **/
@Data
public class RoleModuleVo {

    private String moduleid;

    //模块名称
    private String modulename;

    //模块简称
    private String mabbrevname;

    //模块地址
    private String moduleurl;

    //图标地址
    private String moduleico;

    //所属父模块id
    private String modulepid;

    private Integer moduletype;//模块归属1教师网页2学生网页3学生平板

    //内外部应用1内容应用2外部应用
    private Integer minout;

    //模块分组或应用1分组2应用
    private Integer mclass;

    //级别1一级2二级
    private Integer level;

    //子模块
    List<RoleModuleVo> modulechilds = new ArrayList<>();

}
