package com.xhkjedu.suser.vo.system;

import com.xhkjedu.suser.vo.gradeclass.ClassVo;
import lombok.Data;

import java.util.ArrayList;
import java.util.List;

/**
 * @author ywx
 * @classname TeacherVo
 * @description 教师基本信息
 * @date 2020/6/29 16:16
 **/
@Data
public class TeacherVo {
    private Integer userid;
    //姓名
    private String username;

    //头像地址
    private String headpic;

    //班级名称
    private String classname;

    //科目名称
    private String subjectname;

    //有效期
    private String usertime;

    //教师任教班级
    private List<ClassVo> classlist = new ArrayList<>();

}
