package com.xhkjedu.sapi.mapper.appversion;

import com.xhkjedu.sapi.base.TkMapper;
import com.xhkjedu.sapi.model.appversion.TAppMonitor;
import com.xhkjedu.sapi.vo.appversion.AppMonitorPVo;
import com.xhkjedu.sapi.vo.appversion.AppMonitorVo;
import com.xhkjedu.sapi.vo.appversion.AppSearchVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface AppMonitorMapper extends TkMapper<TAppMonitor> {
    //按应用统计列表
    List<AppMonitorVo> listAll(@Param("monitor") AppSearchVo monitor);

    //按人统计列表
    List<AppMonitorPVo> listPeople(@Param("monitor") AppSearchVo monitor, Integer year);
}
