package com.xhkjedu.sapi.mapper.itemtool;

import com.xhkjedu.sapi.base.TkMapper;
import com.xhkjedu.sapi.model.itemtool.TTodo;
import com.xhkjedu.sapi.vo.itemtool.StudentTodoVo;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @ClassName TodoMapper
 * Description 代办事项
 * Author WN
 * Date 2020/6/12 11:30
 **/
@Repository
public interface StudentTodoMapper extends TkMapper<TTodo> {

    /**
     * 获取学生代办事项列表
     * @Param [todos]
     * @Author ywx
     * @Date 2020/7/27 14:15
     * @return java.util.List<com.xhkjedu.vo.paperstudent.StudentTodoVo>
     **/
    List<StudentTodoVo> listTodoNum(@Param("todos") List<StudentTodoVo> todos, Integer schoolid);
}
