package com.xhkjedu.sapi.mapper.itemtool;

import com.xhkjedu.sapi.base.TkMapper;
import com.xhkjedu.sapi.model.itemtool.TTodo;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @ClassName TodoMapper
 * Description 代办事项
 * Author WN
 * Date 2020/6/12 11:30
 **/
@Repository
public interface TodoMapper extends TkMapper<TTodo> {

    /**
     * 代办事项完成
     * @Param [todoid]
     * @Author ywx
     * @Date 2020/6/12 16:24
     * @return java.lang.Integer
     **/
    Integer finished(@Param("todoid") Integer todoid, @Param("todostate") Integer todostate);

    /**
     * 代办列表
     * @Param [todo]
     * @Author ywx
     * @Date 2020/6/12 16:29
     * @return java.util.List<com.xhkjedu.model.itemtool.TTodo>
     **/
    List<TTodo> listAll(@Param("todo") TTodo todo);
}
