package com.xhkjedu.sapi.mapper.subjectbook;

import com.xhkjedu.sapi.base.TkMapper;
import com.xhkjedu.sapi.model.subjectbook.TSubject;
import com.xhkjedu.sapi.vo.subjectbook.SubjectVo;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

/**
 * @ClassName SubjectMapper
 * Description 科目
 * Author WN
 * Date 2020/6/1 11:43
 **/
@Repository
public interface SubjectMapper extends TkMapper<TSubject> {

    /**
     *功能描述 获取阶段下所有科目--为选择框使用
     * @author WN
     * @date 2020/6/1
     * @param  * @param schoolid
     * @return java.util.List<com.xhkjedu.vo.subjectbook.SubjectVo>
     */
    List<SubjectVo> listSubjectsForSel(@Param("subject") TSubject subject);

}
