package com.xhkjedu.sapi.model.appversion;

import com.xhkjedu.sapi.model.BaseBean;
import lombok.Data;

import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.Transient;

@Table(name = "t_appthird_manager")
@Data
public class TAppthirdManager extends BaseBean {
    @Id
    //应用管理表主键id
    private String mid;

    //应用名称
    private String mname;

    //包名
    private String mpackage;

    //应用是否信任0不信任1信任
    private Integer mptype;

    //是否是系统应用：1是2不是
    private Integer msystem;

    //备注
    private String mcomm;

    //创建人id
    private Integer createid;

    //创建时间
    private Integer createtime;

    //归属2区平台3学校
    private Integer belong;

    //学校id
    private Integer schoolid;

    @Transient
    //归属名称
    private String belongname;
}
