package com.xhkjedu.sapi.model.cloud;

import com.xhkjedu.sapi.model.BaseBean;
import lombok.Data;

import javax.persistence.Id;
import javax.persistence.Table;

@Table(name = "t_cloud")
@Data
public class TCloud extends BaseBean {
    @Id
    //云平台管理表
    private Integer cloudid;

    //云平台名称
    private String cloudname;

    private String cloudshort;//简称

    //云平台码
    private String cloudcode;

    //联系人
    private String account;

    //联系人手机号
    private String phone;

    //备注
    private String comm;

    //是否绑定手机号0不绑定1绑定
    private Integer bindphone;

    //是否有学生网页端0没有1有
    private Integer stuweb;

    //主题色
    private String theme;

    //登录背景图片
    private String loginbg;

    //登录页面字体图片
    private String loginname;

    //区域设置的ico
    private String loginico;

    //技术支持
    private String tesupport;

    //备案号
    private String recordno;

    //创建人id
    private Integer createid;

    //创建时间
    private Integer createtime;

    //区地区显示json
    private String cloudmap;
}
