package com.xhkjedu.sapi.model.cloud;

import com.xhkjedu.sapi.model.BaseBean;
import lombok.Data;

import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.Transient;
import java.util.List;

@Table(name = "t_cloud_sync")
@Data
public class TCloudSync extends BaseBean {
    @Id
    //同步任务表
    private Integer csid;

    //同步起始
    private Integer begintime;

    //同步结束
    private Integer endtime;

    //实际同步开始时间
    private Integer starttime;

    //实际同步结束时间
    private Integer stoptime;

    //同步任务0不需要同步1需要同步
    private Integer synctask;

    //同步状态0进行中1成功2失败
    private Integer syncstate;

    //创建人id
    private Integer createid;

    //创建时间
    private Integer createtime;

    @Transient
    //云平台码
    private String cloudcode;

    @Transient
    //一次同步数量
    private Integer syncnum;

    @Transient
    //详情列表
    private List<TCloudSyncDetail> syncdetails;
}
