package com.xhkjedu.sapi.model.system;

import com.xhkjedu.sapi.model.BaseBean;
import lombok.Data;

import javax.persistence.Id;
import javax.persistence.Table;

@Table(name = "t_moduledefault")
@Data
public class TModuledefault extends BaseBean {
    @Id
    //默认功能模块表
    private String moduleid;

    //模块名称
    private String modulename;

    //模块简称
    private String mabbrevname;

    //模块地址
    private String moduleurl;

    //图标地址
    private String moduleico;

    //所属父模块
    private String modulepid;

    private Integer moduletype;//模块归属1教师网页2学生网页3学生平板

    //排序
    private Integer morder;

    //内外部应用1内部应用2外部应用
    private Integer minout;

    //模块分组或应用1分组2应用
    private Integer mclass;

    //级别1一级2二级
    private Integer level;

    //是否是默认分类0不是1是
    private Integer mdefault;

    //是否显示：1显示10不显示
    private Integer display;

    //模块备注
    private String comm;

    //创建时间
    private Integer createtime;
}
