package com.xhkjedu.sclass.model.classroom;

import com.xhkjedu.sclass.model.BaseBean;
import lombok.Data;

import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.Transient;

@Table(name = "t_classroom_askstudent")
@Data
public class TClassroomAskstudent extends BaseBean {
    //课堂互动学生表主键id
    @Id
    private Integer asksid;

    //教师互动发起方主键id（cc_ask_teacher）
    private Long asktid;

    //班级id
    private Integer classid;

    //学生id
    private Integer studentid;

    //学生单选题答案
    private String studentradio;

    //学生单选是否正确0默认未批阅1正确2错误 
    private Integer radiocorrect;

    //学生简答题图片地址
    private String studentpic;

    //学生是否被选中0默认1选中
    private Integer studentselected;

    //创建时间（时间戳）
    private Integer createtime;

    //学校id
    private Integer schoolid;

    @Transient
    //课堂id
    private Long roomid;
}
