package com.xhkjedu.sclass.model.classroom;

import com.xhkjedu.sclass.model.BaseBean;
import lombok.Data;

import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.Transient;
import java.util.ArrayList;
import java.util.List;

@Table(name = "t_classroom_paper_qtype")
@Data
public class TClassroomPaperQtype extends BaseBean {
    @Id
    //课堂检测题型表
    private Long pqtypeid;

    //作业id
    private Long paperid;

    //题型
    private Integer ctype;

    //题型名称
    private String ctypename;

    //题型序号
    private Integer pqorder;

    //题型总分
    private Double pqscore;

    //题型下试题数量
    private Integer pqnum;

    //创建人id
    private Integer createid;

    //创建时间
    private Integer createtime;

    //学校id
    private Integer schoolid;

    //题型下试题
    @Transient
    private List<TClassroomPaperScantron> scantrons = new ArrayList<>();
}