package com.xhkjedu.sexam.mapper.paper;

import com.xhkjedu.sexam.base.TkMapper;
import com.xhkjedu.sexam.model.paper.EPaperQtype;
import com.xhkjedu.sexam.model.paper.EPaperQtypeQuestion;
import com.xhkjedu.sexam.vo.paper.EPaperQtypeVo;
import com.xhkjedu.sexam.vo.paper.EPaperScantronParams;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * @Description 题库题型信息
 * @Author WN
 * Date 2022/7/19 8:55
 **/
public interface EPaperQtypeMapper extends TkMapper<EPaperQtype> {

    //题库试题详情
    List<EPaperQtypeVo> listPaperQtypeQuestions(@Param("epid") Integer epid);

    //附件试题详情
    List<EPaperQtypeVo> listPaperQtypeQuesitonsForFj(@Param("epid") Integer epid);

    //制作答题卡时获取试卷中试题
    List<Map> listPaperqtypeQuestionsForScan(@Param("epid") Integer epid);

    //保存试题正确答案
    void updateBatchQuestionAnswer(@Param("list")List<EPaperQtypeQuestion> list);

    //批量保存答题卡
    void updateBatchQuestionForScan(@Param("list")List<EPaperQtypeQuestion> list);

    //试卷中所有试题基础信息
    List<EPaperQtypeQuestion> listQuestionsByEpid(@Param("epid") Integer epid);

    //根据试卷id删除试题
    void deleteByEpid(@Param("epid") Integer epid);

}
