package com.xhkjedu.sexam.mapper.system;

import com.xhkjedu.sexam.vo.system.UserVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

public interface UserMapper {
    //根据用户ids查找手机号
    List<UserVo> listPhoneByUserIds(@Param("userids") List<Integer> userids);

    //获取考生
    List<UserVo> listStuByExamId(@Param("examid") Integer examid);

    //获取考试班级任教老师
    List<UserVo> listTeacherByClassIds(@Param("classids") String classids);

    //主监考人查找
    List<Map> listMasterTeacher(@Param("schoolid") Integer schoolid);

    //主监考人快捷查找
    List<Map> listQuickMasterTeacher(@Param("usernames") String[] usernames, @Param("schoolid") Integer schoolid);

    //根据准考证号获取学生id
    Integer getUseridByExamno(@Param("examno")String examno);
}
