package com.xhkjedu.sexam.model.report;

import com.xhkjedu.sexam.model.BaseBean;
import lombok.Data;

import javax.persistence.Id;
import javax.persistence.Table;

@Table(name = "e_rgrade_rank")
@Data
public class ERgradeRank extends BaseBean {
    @Id
    //考试报告考试等级统计表
    private Integer rgrid;

    //考试id
    private Integer examid;

    //班级id
    private Integer classid;

    //类型1等级2分数段3临界分4临界名次5优秀年级前6学困年级后
    private Integer ranktype;

    //等级名称
    private String rankname;

    //等级分值范围（[630,700）
    private String rankrange;

    //学生人数
    private Integer stunum;

    //占比
    private Double sturate;
}