package com.xhkjedu.sexam.model.reportclass;

import com.xhkjedu.sexam.model.BaseBean;
import lombok.Data;

import javax.persistence.Id;
import javax.persistence.Table;

@Table(name = "e_rclass_question")
@Data
public class ERclassQuestion extends BaseBean {
    @Id
    //考试试卷班级分析表
    private Integer rcqid;

    //考试id
    private Integer examid;

    //班级id
    private Integer classid;

    //科目id
    private String subjectid;

    //试题主键id
    private Integer eptqid;

    //序号
    private String qn;

    //试题排序
    private Integer qorder;

    //班级试题得分
    private Double qscore;

    //试题难易度
    private Integer complexity;

    //班级最高分
    private Double classmaxscore;

    //班级平均分
    private Double classavgscore;

    //班级得分率
    private Double classsrate;

    //年级最高分
    private Double grademaxscore;

    //年级平均分
    private Double gradeavgscore;

    //年级得分率
    private Double gradesrate;

    //学生作答情况
    private String answerjson;

    //优秀学生
    private String goodstujson;

    //违规学生
    private String badstujson;
}