package com.xhkjedu.sexam.model.reportstu;

import com.xhkjedu.sexam.model.BaseBean;
import lombok.Data;

import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.Transient;

@Table(name = "e_rstudent")
@Data
public class ERstudent extends BaseBean {
    @Id
    //考试报告学生基础分值表
    private Integer rsid;

    //班级id
    private Integer classid;

    //学生id
    private Integer studentid;

    //考试id
    private Integer examid;

    //科目id
    private String subjectid;

    //科目名称
    private String subjectname;

    //分数
    private Double score;

    //班次
    private Integer classrank;

    //排名变化
    private Integer classrankpre;

    //班最高分
    private Double classmaxscore;

    //班平均分
    private Double classavgscore;

    //校次
    private Integer schoolrank;

    //校最高分
    private Double schoolmaxscore;

    //校平均分
    private Double schoolavgscore;

    //本次目标（上次考试的下次目标）
    private Integer goal;

    //下次目标
    private Integer nextgoal;

    @Transient
    //状态0未进场1已进场2已交卷3缺考
    private Integer sstate;
}