package com.xhkjedu.sexam.vo.exam;

import com.xhkjedu.sexam.model.exam.ESubject;
import lombok.Data;

import java.util.List;

/**
 * @author ywx
 * @classname ExamVo
 * @description 考试设置
 * @date 2022/7/19 11:15
 **/
@Data
public class ExamVo {
    //考试表id
    private Integer examid;

    //操作人
    private Integer handleid;

    //学校id
    private Integer schoolid;

    //考试名称
    private String examname;

    //考试公告
    private String examcomm;

    //是否发送通知1发送2不发送
    private Integer notice;

    //是否发送短信1发送2不发送
    private Integer msg;

    //考试科目表
    private List<ESubject> subjects;
}
