package com.xhkjedu.sexam.vo.paper;

import lombok.Data;

import java.util.ArrayList;
import java.util.List;

/**
 * @Description 题库试卷题型下试题集合
 * @Author WN
 * Date 2022/7/20 14:17
 **/
@Data
public class EPaperQtypeQuestionVo {
    //考试试卷题型试题表
    private Integer eptqid;

    //考试试卷题型表id
    private Integer eptid;

    //试题id
    private String questionid;

    //试题分值
    private Double score;

    //题号
    private String qn;

    //试题排序
    private Integer qorder;

    //试题处理题型
    private Integer ctype;

    //试题题型
    private String qtypeid;

    //试题题型名称
    private String qtypename;

    //试卷中设置的答案
    private String answer;

    //试题题干
    private String qstem;

    //试题选项
    private String qoption;

    //试题答案
    private String qanswer;

    //试题分析
    private String qanalyze;

    //难易度
    private Integer complexity;

    //试题类型1单体2母题3子题
    private Integer qlevel;

    //子题排序
    private Integer sorder;

    //母题id
    private String questionpid;

    //子题数量
    private Integer snum;

    //母题主键
    private String mquestionid;

    //母题难易度
    private Integer  mcomplexity;

    //母题题干
    private String  mqstem;

    //母题题型id
    private String mqtypeid;

    //母题名称
    private String mqtypename;

    //母题处理题型
    private Integer mctype;

    //母题答案
    private String mqanswer;

    //母题解析
    private String mqanalyze;

    //母题类型
    private Integer mqlevel;

    //试题关联知识点
    private List<EPaperQPointVo> points = new ArrayList<>();

    //子题集合
    private List<EPaperQtypeQuestionVo> sonques;

    private Integer eqspid;

}
