package com.xhkjedu.slive.mapper.gradeclass;

import com.xhkjedu.slive.base.TkMapper;
import com.xhkjedu.slive.model.gradeclass.TClassStudent;
import com.xhkjedu.slive.model.gradeclass.TGroup;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

@Repository
public interface GroupMapper extends TkMapper<TGroup> {
    //更新分组人数
    void updateNum(@Param("groupid") Integer groupid);

    //取班级对应的全班学生分组
    Integer getGroupIdByClassid(@Param("classid") Integer classid);
    //保存全班分组学生
    void saveAllClassGroupStu(@Param("student") TClassStudent student, @Param("zbclassid") Integer zbclassid,@Param("zbgroupid") Integer zbgroupid);
}
