package com.xhkjedu.slive.model.agora;

import com.xhkjedu.slive.model.BaseBean;
import lombok.Data;

import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.Transient;

@Table(name = "t_agoralicense")
@Data
public class TAgoralicense extends BaseBean {
    @Id
    //声网license表
    private Integer agid;

    //每个 license 的唯一标识符
    private String custom;

    //对应激活码
    private String cert;

    //设备标识符
    private String credential;

    //是否激活：0未激活1已激活2已失效
    private Integer activated;

    //使用状态0未使用1已使用
    private Integer used;

    //云平台码
    private String cloudcode;

    //学校id
    private Integer schoolid;

    @Transient
    //直播授权数量
    private Integer livenum;

    //用户id
    private Integer userid;

    //姓名
    private String username;

    //登录账号
    private String loginname;

    //创建人
    private Integer createid;

    //创建时间
    private Integer createtime;
}