package com.xhkjedu.slive.model.liveplay;

import com.xhkjedu.slive.model.BaseBean;
import lombok.Data;

import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.Transient;
import java.util.List;

@Table(name = "l_course")
@Data
public class LCourse extends BaseBean {
    @Id
    //直播课程表id
    private Integer courseid;

    //课程名称
    private String coursename;

    //年级
    private Integer gradeid;

    //科目id
    private String subjectid;

    //老师id
    private Integer teacherid;

    //首播日期
    private String begindate;

    //结束日期
    private String enddate;

    //课节数量
    private Integer coursenum;

    //开始时间如：10:55
    private String begintime;

    //结束时间如（11:30）
    private String endtime;

    //时长（分钟）
    private Integer duration;

    //报名截止日期
    private Integer limitstamp;

    //限制学生数量
    private Integer limitstu;

    //已报学生数量
    private Integer stunum;

    //班级id
    private Integer classid;

    //状态0未开始2进行中3已结束
    private Integer coursestate;

    //删除状态1正常10删除
    private Integer deleted;

    //班级类型 0自动生成1指定班级
    private Integer coursetype;

    //是否能取消选课 0不能1能
    private Integer courseselected;

    //课程简介
    private String comm;

    //所属课程分类
    private Integer ctypeid;

    //课程类别0专题直播1行政直播
    private Integer courseclass;

    //直播课节详情id
    private Integer kjid;

    //创建人id
    private Integer createid;

    //创建时间
    private Integer createtime;

    //报名开始时间戳（学生选课用）
    private Integer starttime;

    //学校id
    private Integer schoolid;

    @Transient
    //仅看今天0否1是
    private Integer today;

    @Transient
    //班级id集合
    private List<Integer> classids;

    @Transient
    private String teachername;//教师姓名
}
