package com.xhkjedu.slive.model.xz;

import com.xhkjedu.slive.model.BaseBean;
import lombok.Data;

import javax.persistence.Table;
import java.util.List;
import javax.persistence.Id;
import javax.persistence.Transient;

/**
 *@Description 行政直播课节表
 *@Author WN
 *Date 2022/3/30 11:52
 **/
@Data
@Table(name = "l_xz_kj")
public class LXzKj extends BaseBean {

    //行政直播课节详情表
    @Id
    private Integer kjid;

    //行政直播概要表
    private Integer xzid;

    //课节名称
    private String kjname;

    //课节排序
    private Integer kjorder;

    //开始时间
    private String begintime;

    //结束时间
    private String endtime;

    //创建人
    private Integer createid;

    //创建时间
    private Integer createtime;

    //课节集合
    @Transient
    private List<LXzKj> xzkjs;

}
