package com.xhkjedu.sstudy.mapper.question;

import com.xhkjedu.sstudy.base.TkMapper;
import com.xhkjedu.sstudy.model.question.TQuestionPoint;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface QuestionPointMapper extends TkMapper<TQuestionPoint> {
    /**
     * 删除试题关联知识点信息
     * @Param [questionid]
     * @Author ywx
     * @Date 2020/6/8 8:52
     * @return java.lang.Integer
     **/
    Integer deleteByQuestionId(@Param("questionid") String questionid);

    void batchSave(@Param("list") List<TQuestionPoint> questionPoints);
}
