package com.xhkjedu.sstudy.mapper.resource;

import com.xhkjedu.sstudy.base.TkMapper;
import com.xhkjedu.sstudy.model.resource.TResourceCollect;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface ResourceCollectMapper extends TkMapper<TResourceCollect> {
    //资源取消收藏
    void cancelCollect(@Param("collect") TResourceCollect collect);

    //获取资源是否收藏列表
    List<String> listCollect(@Param("resourceids") List<String> resourceids, @Param("userid") Integer userid);

    //获取资源是否收藏
    Integer isCollected(@Param("resourceid") String resourceid, @Param("userid") Integer userid);
}
