package com.xhkjedu.sstudy.mapper.subjectbook;

import com.xhkjedu.sstudy.base.TkMapper;
import com.xhkjedu.sstudy.model.subjectbook.TSubjectBook;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

/**
 * @ClassName SubjectBookMapper
 * Description TODO
 * Author WN
 * Date 2020/6/2 17:56
 **/
@Repository
public interface SubjectBookMapper extends TkMapper<TSubjectBook> {

    /**
     *功能描述 获取数据库表中所有教材关联信息
     * @author WN
     * @date 2020/6/3
     * @param  * @param schoolid
     * @return java.util.List<com.xhkjedu.model.subjectbook.TSubjectBook>
     */
    List<TSubjectBook> listSubjectBooks(@Param("book") TSubjectBook book);

    //查找使用教材的模块
    String findUseModule(String lsbid);

    //教材选择列表
    List<Map> listForSel();

    //查询教材名称是否存在
    Integer checkExisted(@Param("book") TSubjectBook book);
}
