package com.xhkjedu.sstudy.model.paper;

import com.xhkjedu.sstudy.model.BaseBean;
import lombok.Data;

import javax.persistence.Id;
import javax.persistence.Table;
import java.util.ArrayList;
import java.util.List;

@Table(name = "t_paper_scantron")
@Data
public class TPaperScantron extends BaseBean {
    //答题卡表
    @Id
    private Integer pscaid;

    //作业id
    private Integer paperid;

    //作业答题卡题型关联表id
    private Integer psqtypeid;

    //试题题型id
    private String qtypeid;

    //试题题型名称
    private String qtypename;

    //处理题型
    private Integer ctype;

    //题号
    private Integer psorder;

    //分值
    private Double psscore;

    //创建人id
    private Integer createid;

    //创建时间
    private Integer createtime;

    //学校id
    private Integer schoolid;

    //正确答案
    private String psanswer;

    //选项数量
    private Integer optionnum;

    private List<TPaperScantronPoint> scanpoints = new ArrayList<>();
}
