package com.xhkjedu.sstudy.model.paper;

import com.xhkjedu.sstudy.model.BaseBean;
import lombok.Data;

import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.Transient;
import java.util.ArrayList;
import java.util.List;

@Table(name = "t_paper_scantron_qtype")
@Data
public class TPaperScantronQtype extends BaseBean {
    //作业答题卡题型表
    @Id
    private Integer psqtypeid;

    //作业id
    private Integer paperid;

    //试题题型id
    private String qtypeid;

    //试题题型名称
    private String qtypename;

    //题型序号
    private Integer pstorder;

    //题型总分
    private Double pstscore;

    //题型下试题数量
    private Integer pstnum;

    //创建人id
    private Integer createid;

    //创建时间
    private Integer createtime;

    //学校id
    private Integer schoolid;

    //题型下试题
    @Transient
    private List<TPaperScantron> scantrons = new ArrayList<>();
}
