package com.xhkjedu.sstudy.model.resource;

import com.xhkjedu.sstudy.model.BaseBean;
import lombok.Data;

import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.Transient;
import java.util.ArrayList;
import java.util.List;

/**
 * @ClassName TGuide
 * Description TODO 学生预习
 * Author WN
 * Date 2021/10/20 10:04
 **/
@Table(name = "t_guide")
@Data
public class TGuide extends BaseBean {
    @Id
    private Integer guideid;//预习表id

    private String guidename;//预习名称

    private String subjectid;//科目id

    private String lsbid;//教材id

    private String directorid;//章节id

    private Integer createid;//创建人id

    private Integer createtime;//创建时间

    private Integer schoolid;//学校id

    @Transient
    private Integer studentid;//学生id

    @Transient
    private String resourceid;//资源id

    @Transient
    private Integer costtime;//是否查看1未查看2已查看

    @Transient
    private List<TResource> resources = new ArrayList<>();//包含的资源

    @Transient
    private List<TGuideGroup> guideGroups = new ArrayList<>();//学生预习


}
