package com.xhkjedu.sstudy.model.subjectbook;

import com.xhkjedu.sstudy.model.BaseBean;
import lombok.Data;

import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.Transient;
import java.util.ArrayList;
import java.util.List;

@Table(name = "t_director")
@Data
public class TDirector extends BaseBean {
    //章节表
    @Id
    private String directorid;

    //章节名称
    private String directorname;

    //所属章节id
    private String directorpid;

    //章节排序
    private Integer directororder;

    //是否是叶子节点0不是1是
    private Integer leaf;

    //所属科目册别关联关系id
    private String lsbid;

    //章节归属层级
    private Integer directorlevel;

    //所有层级章节拼接，用;隔开
    private String directorall;

    //创建人
    private Integer createid;

    //创建时间
    private Integer createtime;

    //归属1平台3学校4个人
    private Integer belong;

    //学校id
    private Integer schoolid;

    //同步时间戳
    private Integer timeunix;

    @Transient
    private List<TDirector> children = new ArrayList<>();
}
