package com.xhkjedu.sstudy.model.subjectbook;

import com.xhkjedu.sstudy.model.BaseBean;
import lombok.Data;

import javax.persistence.Id;
import javax.persistence.Table;

@Table(name = "t_subject")
@Data
public class TSubject extends BaseBean {
    //科目表主键id
    @Id
    private String subjectid;

    //科目名称
    private String subjectname;

    //所属学段1小学2初中3高中4大学
    private Integer level;

    //科目排序
    private Integer subjectorder;

    //创建人id
    private Integer createid;

    //创建时间
    private Integer createtime;

    //归属1平台3学校
    private Integer belong;

    //学校id
    private Integer schoolid;

    //同步时间戳
    private Integer timeunix;
}
