package com.xhkjedu.sstudy.service.paper;

import com.xhkjedu.sstudy.mapper.paper.PaperScantronPointMapper;
import com.xhkjedu.sstudy.model.paper.TPaperScantronPoint;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @ClassName PaperScantronPointService
 * Description 答题卡知识点
 * Author WN
 * Date 2020/6/8 18:51
 **/
@Service
public class PaperScantronPointService {
    @Autowired
    private PaperScantronPointMapper paperScantronPointMapper;

    /**
     *功能描述  批量保存答题卡试题知识点
     * @author WN
     * @date 2020/6/9
     * @param  * @param lst
     * @return void
     */
    public void saveBatch(List<TPaperScantronPoint> lst){
        paperScantronPointMapper.insertList(lst);
    }
}
