package com.xhkjedu.sstudy.service.paper;

import com.xhkjedu.sstudy.mapper.paper.PaperScantronMapper;
import com.xhkjedu.sstudy.model.paper.TPaperScantron;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

/**
 * @ClassName PaperScantronService
 * Description TODO
 * Author WN
 * Date 2020/6/8 18:34
 **/
@Service
public class PaperScantronService {
    @Autowired
    private PaperScantronMapper scantronMapper;

    public void addBatch(List<TPaperScantron> lst){
        scantronMapper.insertList(lst);
    }

    /**
     *功能描述  答题卡--题型分析
     * @author WN
     * @date 2020/6/10
     * @param  * @param paperid
     * @return java.util.List<java.util.Map<java.lang.String,java.lang.Object>>
     */
    public List<Map<String,Object>> listQtypeAnalyze(Integer paperid){
        return scantronMapper.listQtypeAnalyze(paperid);
    }
}
