package com.xhkjedu.sstudy.service.question;

import com.xhkjedu.sstudy.mapper.question.QuestionPointMapper;
import com.xhkjedu.sstudy.model.question.TQuestionPoint;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * @author ywx
 * @classname QuestionPointService
 * @description 
 * @date 2020/6/6 17:09
 **/
@Service
public class QuestionPointService {
    @Resource
    private QuestionPointMapper questionPointMapper;

    /**
     * 批量保存
     * @Param [questionPoints]
     * @Author ywx
     * @Date 2020/6/6 17:11
     * @return void
     **/
    public void batchSave(List<TQuestionPoint> questionPoints) {
        questionPointMapper.batchSave(questionPoints);
    }

    /**
     * 删除试题关联知识点信息
     * @Param [questionid]
     * @Author ywx
     * @Date 2020/6/8 8:52
     * @return void
     **/
    public void deleteByQuestionId(String questionid) {
        questionPointMapper.deleteByQuestionId(questionid);
    }
}
