package com.xhkjedu.sstudy.vo.paperstudent;

import com.xhkjedu.sstudy.model.paper.TPaperFile;
import lombok.Data;

import java.util.List;

@Data
public class StudentPaperVo {
    //作业id
    private Integer paperid;

    //作业名称
    private String papername;

    //试题数量
    private Integer papernum;

    //试卷总分
    private Double paperscore;

    //用户得分
    private Double userscore;

    //学生姓名
    private String studentname;

    //作业题型列表
    List<StudentPaperTypeVo> types;

    //答题卡附件列表
    private List<TPaperFile> files;

    //作业开始时间
    private Integer starttime;

    //作业截至时间
    private Integer stoptime;

    //是否显示答案0不显示1显示
    private Integer showanswer;

    //排名
    private Integer rank;

    //发布作业的总人数
    private Integer stunum;

    //得分率
    private double scorerate;

    //用时
    private Integer costtime;

    //批改人
    private String checkname;

    //班级id
    private Integer classid;

    //知识点得分情况
    private List<StudentPointScoreVo> points;

    //作业发布人
    private String createname;

    //答案显示方式：1作业截至时间，2提交后显示
    private Integer showtype;

    //状态0未提交1已提交2超时提交
    private Integer psstate;

    //批改状态0未批改1已批改2批改中
    private Integer pschecked;

    //作业类型1结构性试题2自定义答题卡3靶向作业
    private Integer papertype;

    //靶向作业学生关联的试题集合
    private String questionids;
}
