package com.xhkjedu.sstudy.vo.question;

import com.xhkjedu.sstudy.model.paper.TPaperFile;
import com.xhkjedu.sstudy.model.question.TQuestionExplain;
import lombok.Data;

import java.util.List;

@Data
public class QuestionStudentVo {
    //学生错题id
    private Integer qsid;

    //试题表
    private String questionid;

    //题号
    private Integer qorder;

    //处理题型1单选题2多选题3主观题4判断对错5判断✔6判断TF7完形填空8阅读理解
    private Integer ctype;

    //试题题干
    private String qstem;

    //试题选项
    private String qoption;

    //试题答案
    private String qanswer;

    //试题分析
    private String qanalyze;

    //试题题型名称
    private String qtypename;

    //试题题型id
    private String qtypeid;

    //试题类型1题库2答题卡
    private Integer qctype;

    //试题分值
    private Double qscore;

    //学生得分
    private Double stuscore;

    //得分率
    private double scorerate;

    //试卷id
    private Integer paperid;

    //试题讲解
    private List<TQuestionExplain> explains;

    //作业附件
    private List<TPaperFile> files;

    //作答历史
    private List<StudentAnswerVo> answers;

    //知识点名称
    private String pointname;

    //学生答案
    private String useranswer;

    //学生答案富文本
    private String useranswertext;

    //答案纯文本
    private String useranswertxt;

    //设备1选择、图片(useranswer) 2富文本(useranswertext)3纯文本(useranswertxt)
    private Integer device;

    private Integer converted;//是否转换0未转换1已转换2转换失败

    //难易度
    private Integer complexity;
}
