package com.xhkjedu.sstudy.vo.resource;

import com.xhkjedu.sstudy.vo.subjectbook.DirectorVo;
import lombok.Data;

import java.util.List;

/**
 * @author ywx
 * @className ResourceVo
 * @description
 * @date 2020/6/5 10:01
 **/
@Data
public class ResourceVo {
    //资源表
    private String resourceid;

    //资源名称
    private String resourcename;

    //创建人姓名
    private String createname;

    //创建时间
    private Integer createtime;

    //文件后缀
    private String suffix;

    //mp4文件编码：mpeg4网页端不能播放，h264网页端能播放
    private String mp4code;

    //路径
    private String resourceurl;

    //封面图地址
    private String resourcecover;

    private String lsbid;//教材id

    private String directorid;//章节id

    //资源分类1word,2ppt,3pdf,4图片,5视频,6音频,7压缩包,10其他
    private Integer resourceclass;
    //资源类型1习题2教案3课件4素材5视频6学案7压缩包10其他
    private Integer resourcetype;

    //资源归属1平台1区平台3学校4个人(搜索时5我的收藏 6我的上传)
    private Integer belong;

    //资源等级：1普通2精品3特供4第三方
    private Integer resourcegrade;

    //来源
    private String source;

    //资源所属年份
    private Integer year;

    //地区
    private String region;

    //学校
    private String schoolname;

    private Integer downcount;// 下载次数

    private Integer readcount;//阅读次数

    private String comm;//备注

    private String pdfurl;//转换后的pdf文件地址

    private Integer converted;//是否转换0未转换1已转换2转换失败3加密

    private String convertmsg;//转换失败原因
    
    private Integer classid;//班级id

    private Integer groupid;//分组id

    //视频时长（秒）
    private Integer duration;

    //文件大小
    private Integer resourcesize;

    //创建人id
    private Integer createid;

    //科目名称
    private String subjectname;

    //查看时长 等于0（未查看）大于0（已查看）
    private Integer costtime;

    //关联教材个数
    private Integer lsbnum;

    //关联章节个数
    private Integer directornum;

    //地区全名称
    private String areaall;

    //资源关联章节
    private List<DirectorVo> directors;
}
