package com.xhkjedu.suser.model.assess;

import com.xhkjedu.suser.model.BaseBean;
import lombok.Data;

import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.Transient;
import java.util.List;

@Table(name = "t_assess_user")
@Data
public class TAssessUser extends BaseBean {
    @Id
    //评价用户id
    private Integer auid;

    //用户id
    private Integer userid;

    //评价id
    private Integer assessid;

    //评价模板id
    private Integer templateid;

    //评价指标id
    private Integer quotaid;

    //用户类型1老师2学生
    private Integer usertype;

    //评价类型1表扬2批评
    private Integer autype;

    //学生类型：Y优秀生、L良好生、K学困生、T特殊生
    private String stutype;

    //年级id
    private Integer gradeid;

    //班级id
    private Integer classid;

    //科目id
    private String subjectid;

    //节次
    private Integer snum;

    //表现次数
    private Integer aunum;

    //表现日期
    private Integer autime;

    //表现备注
    private String comm;

    //创建人id
    private Integer createid;

    //创建时间
    private Integer createtime;

    //学校id
    private Integer schoolid;

    @Transient
    //评价用户附件
    private List<TAssessFile> files;

    @Transient
    //开始时间
    private Integer starttime;

    @Transient
    //截至时间
    private Integer stoptime;
}