package com.xhkjedu.suser.model.system;

import com.xhkjedu.suser.model.BaseBean;
import lombok.Data;

import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.Transient;

@Table(name = "t_user_log")
@Data
public class TUserLog extends BaseBean {
    //登录日志主键id
    @Id
    private Integer ulid;

    //用户id
    private Integer userid;

    //姓名
    private String username;

    //登录名
    private String loginname;

    //登录状态1成功2失败
    private Integer loginstate;

    //登录时间
    private Integer logtime;

    //登录ip
    private String logip;

    //登录地址
    private String logaddress;

    //登录终端设备
    private String ultype;

    //版本号
    private String versionnum;

    //备注
    private String logtxt;

    //学校id
    private Integer schoolid;

    @Transient
    //截止时间
    private Integer endtime;
}
